SYSTEMD-TTY-ASK-PASSWORD-AGENT(1)

NOM
systemd-tty-ask-password-agent – Listage ou traitement des requêtes de mot de passe en attente pour systemd

SYNOPSIS

systemd-tty-ask-password-agent [OPTIONS...] [VARIABLE=VALEUR...]

DESCRIPTION

systemd-tty-ask-password-agent est un agent de mot de passe gérant les requêtes de mot de passe du système, par exemple, les mots de passe de chiffrement de disque dur ou ceux de certificat SSL pouvant être demandés lors de l’amorçage ou pendant l’exécution.

systemd-tty-ask-password-agent met en œuvre la spécification d’agents de mot de passe[1] et est un des multiples agents de réponse aux requêtes formulées avec systemd-ask-password(1).

OPTIONS

Les options suivantes sont comprises :

--list
    Lister les requêtes de mot de passe actuellement en attente pour systemd.

    Ajouté dans la version 186.

--query
    Traiter toutes les requêtes de mot de passe actuellement en attente dans le système en interrogeant l’utilisateur sur le TTY appelant.

    Ajouté dans la version 186.

--watch
    Traiter de manière continue les requêtes de mot de passe.

    Ajouté dans la version 186.

--wall
    Transférer les requêtes de mot de passe à wall(1) au lieu d’interroger l’utilisateur sur le TTY appelant.

    Ajouté dans la version 186.

--plymouth
    Poser la question avec plymouth(8) au lieu d’interroger l’utilisateur sur le TTY appelant.

    Ajouté dans la version 186.

--console[=PÉRIPHÉRIQUE]
    Poser la question sur le PÉRIPHÉRIQUE TTY au lieu d’interroger l’utilisateur sur le TTY appelant. Si PÉRIPHÉRIQUE n’est pas précisé, /dev/console sera utilisé.

    Ajouté dans la version 186.

-h, --help
    Afficher un aide-mémoire succinct et quitter.

--version
    Afficher une information de version courte et quitter.

CODE DE RETOUR

En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

VOIR AUSSI

systemd(1), systemctl(1), systemd-ask-password-console.service(8), wall(1), plymouth(8)

NOTES

1.  Spécification d’agents de mot de passe
    https://systemd.io/PASSWORD_AGENTS/

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.